/* Schedule Manager
 * Polls for schedule changes
 * Forwards updates to a GameManager
 */
 
var proto = ScheduleManager.prototype;

function ScheduleManager(apiConnector) {
    this._apiConnector = apiConnector;
    this._gameManager = null;
}

proto.setGameManager = function(gameManager) {
    this._gameManager = gameManager;
}

proto.startPolling = function(interval) {
    //start polling for schedule changes regularly
}

proto.poll = function() {
    //get date
    //get schedule
    //return schedule object
    
    //for now, use warriors data
}


module.exports = ScheduleManager;